/**
 * Add accordions to Checkout Order Information
 */
(function ($, Drupal) {

  Drupal.behaviors.accordionCheckout = {
    attach: function (context, settings) {
      // Make panes relate to each other like accordions
      const details = Array.from(document.querySelectorAll('details'));
      details.forEach((detail) => {
        detail.addEventListener('click', (e) => {
          // Check if a pane is not "locked"
          if (detail.classList.contains('collapsible')) {
            // Close other active items
            const active = details.find(d => d.open);
            if (!e.currentTarget.open && active) {
              active.open = false
            }
            // Append the bookmark to the URL
            location.hash = e.currentTarget.attributes.id.nodeValue;
          } else {
            return false;
          }
        })
      })

    }
  };

})(jQuery, Drupal);
